#ifndef OBJECTHANDLER_H
#define OBJECTHANDLER_H

#include "wavefrontobj.h"

typedef struct {
    GLuint vao;
    GLuint vbo;
	ParsedObjFile* object;
} ObjectData;

extern void load_object(ObjectData* objectData);
extern ObjectData* readObjFiles(char** path, int numModels, int* count);
extern ObjectData* readSingleObjFile(char* path);
extern void draw_object(ObjectData* objectData);

#endif